SSL_COMP_ADD_COMPRESSION_METHOD(3)

NAME
SSL_COMP_add_compression_method, SSL_COMP_get_compression_methods - handle SSL/TLS integrated compression methods

SYNOPSIS
#include <openssl/ssl.h>
int
SSL_COMP_add_compression_method(int id, void *cm);
STACK_OF(SSL_COMP) *
SSL_COMP_get_compression_methods(void);

DESCRIPTION
These functions are deprecated and have no effect. They are provided purely for compatibility with legacy application code.

SSL_COMP_add_compression_method() used to add the compression method cm with the identifier id to the list of available compression methods.

SSL_COMP_get_compression_methods() used to return a stack of available compression methods.

RETURN VALUES
SSL_COMP_add_compression_method() always returns 1. SSL_COMP_get_compression_methods() always returns NULL.

SEE ALSO
ssl(3)

HISTORY
SSL_COMP_add_compression_method() first appeared in OpenSSL 0.9.2b and has been available since OpenBSD 2.6.

SSL_COMP_get_compression_methods() first appeared in OpenSSL 0.9.8 and has been available since OpenBSD 4.5.